<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateDeviceMobilityGroupReq StructType
 * @subpackage Structs
 */
class UpdateDeviceMobilityGroupReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * Constructor method for UpdateDeviceMobilityGroupReq
     * @uses UpdateDeviceMobilityGroupReq::setNewName()
     * @uses UpdateDeviceMobilityGroupReq::setDescription()
     * @param string $newName
     * @param string $description
     */
    public function __construct($newName = null, $description = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDeviceMobilityGroupReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDeviceMobilityGroupReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
}
